Skip to main content
DELETE
/
v1
/
tasks
/
{id}
Delete a task
curl --request DELETE \
  --url https://api.yorlet.com/v1/tasks/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "task",
  "title": "<string>",
  "description": "<string>",
  "due_date": 123,
  "priority": 1.5,
  "status": "to_do",
  "assignee": {
    "id": "<string>",
    "created": 123,
    "object": "user",
    "email": "<string>",
    "name": "<string>",
    "account": "<string>",
    "deleted": false
  },
  "account": "<string>",
  "deleted": false,
  "important": false,
  "checklist_items": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns an object with a deleted parameter on success. If the task ID does not exist, this call throws an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
task
title
string
required
description
string
required
due_date
number
required
priority
number
required
Required range: 0 <= x <= 3
status
enum<string>
required
Available options:
to_do,
in_progress,
done
assignee
required

The assignee of this task.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

important
boolean
default:false
checklist_items
object